<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
	xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
	xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups">

<h:outputStylesheet library="css" name="extraction/#{css}" />

<f:loadBundle
	basename="org.inra.ecoinfo.genericfilesrepository.uijsf.siteschoicestep"
	var="siteschoicestep" />
	
<a4j:jsFunction name="selectSite"
	execute="@this,parametersRequest" action="#{uiBean.selectSite}"
	render="listSites,parametersRequest,messageWarningStep1,buttonNextStep1,step1Valid,validImage, nextStepButton"
	limitRender="true">
	<a4j:param name="param1" assignTo="#{uiBean.idSiteSelected}" />
</a4j:jsFunction>

<a4j:jsFunction name="changeProject" execute="@this,parametersRequest"
	action="#{uiBean.changeProject}"
	render="listSites,parametersRequest,messageWarningStep1,buttonNextStep1,step1Valid,nextStepButton"
	limitRender="true">
	<a4j:param name="param1" assignTo="#{uiBean.idProjectSelected}" />
</a4j:jsFunction>

<h:panelGroup id="messageWarningStep1">
	<h:outputText
		value="#{siteschoicestep.PROPERTY_MSG_CHOOSE_PLATEFORME_WARNING}"
		rendered="#{not uiBean.parametersRequest.sitesStepIsValid}"
		styleClass="selectionEmpty" />
</h:panelGroup>

<p class="intro">#{siteschoicestep.PROPERTY_MSG_CHOOSE_ONE_PLATEFORME}</p>

<a4j:outputPanel ajaxRendered="false">

	<h:panelGroup id="listSites">

		<ui:param name="projects" value="#{uiBean.projectsAvailables}" />
		<c:forEach items="#{projects}" var="project">
			<input type="radio" id="#{project.value.projet.code}" name="project"
				value="#{project.value.localizedProjetName}"
				checked="#{uiBean.idProjectSelected == project.key?'checked':''}"
				onchange="changeProject(#{project.key})" />
			<label for="#{project.value.projet.code}"> <h:outputText
					value="#{project.value.localizedProjetName}" />
			</label>
			<h:panelGroup layout="block" styleClass="listPlateformes">
				<ui:param name="sites" value="#{project.value.sites}" />
				<c:forEach items="#{sites}" var="site">
					<h:outputLink value="#"
						onclick="selectSite(#{site.key})"
						disabled="#{uiBean.idProjectSelected != project.key}"
						styleClass="#{uiBean.idProjectSelected != project.key?'disabled':''}">
						<h:outputText
							value="#{site.value.localizedSiteName}"
							styleClass="#{site.value.selected ? 'selected':''}" />
						<h:graphicImage name="check.png" library="images"
							rendered="#{site.value.selected}" />
					</h:outputLink>
				</c:forEach>
			</h:panelGroup>
		</c:forEach>

	</h:panelGroup>
</a4j:outputPanel>
</html>